cURL
curl --request POST \ --url https://pinapi.jackalprotocol.com/api/v1/files \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form 'files=<string>' \ --form files.items='@example-file'
[ { "name": "<string>", "cid": "<string>", "merkle": "<string>", "id": 123 } ]
Upload multiple files using the v1 API
Documentation IndexFetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful operation